Skip to content
Proud to collaborate with Microsoft for Startups

docusign.bulk-send.get-bulk-send-batch-envelopes ​

This method returns a list of envelopes in a specified bulk batch. Use the query parameters to filter and sort the envelopes by different attributes.

Gets envelopes from a specific bulk send batch.

Overview ​

PropertyValue
Workflow typeAtomic
LibraryApp-docusign
Version1.0

Input Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
accountidstringYes—The external account number (int) or account ID GUID.
bulksendbatchidstringYes—The batch ID.
countstringNo—The maximum number of results to return. Use start_position to specify the number of results to skip. Valid values: 1 to 1000
includestringNo—When recipients, only envelopes with recipient nodes will be included in the response.
orderstringNo—The order in which to sort the results. Valid values are: - Descending order: desc (default) - Ascending order: asc
order_bystringNo—The envelope attribute used to sort the results. Valid values are: - created (default) - completed - last_modified - sent - status - subject - status_changed
search_textstringNo—Use this parameter to search for specific text.
start_positionstringNo—The zero-based index of the result from which to start returning results. Use with count to limit the number of results. The default value is 0.
statusstringNo—Comma-separated list of envelope statuses. Note that any should not be included with other statuses. In other words, any is a valid parameter value, but any,sent is not. Use the value deliveryfailure to get all envelopes with AuthFailed and AutoResponded status. This value is specific to bulk sending.

Output Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
accountidstringYes—The external account number (int) or account ID GUID.
bulksendbatchidstringYes—The batch ID.
countstringNo—The maximum number of results to return. Use start_position to specify the number of results to skip. Valid values: 1 to 1000
includestringNo—When recipients, only envelopes with recipient nodes will be included in the response.
orderstringNo—The order in which to sort the results. Valid values are: - Descending order: desc (default) - Ascending order: asc
order_bystringNo—The envelope attribute used to sort the results. Valid values are: - created (default) - completed - last_modified - sent - status - subject - status_changed
search_textstringNo—Use this parameter to search for specific text.
start_positionstringNo—The zero-based index of the result from which to start returning results. Use with count to limit the number of results. The default value is 0.
statusstringNo—Comma-separated list of envelope statuses. Note that any should not be included with other statuses. In other words, any is a valid parameter value, but any,sent is not. Use the value deliveryfailure to get all envelopes with AuthFailed and AutoResponded status. This value is specific to bulk sending.
status_codeintegerNo—HTTP status code of the completed call
responsejsonNo—Parsed JSON response body
failure_reasonstringNo——
failure_typestringNo——
failed_atstringNo——
failed_stepstringNo——
failed_layerstringNo——
failed_at_statestringNo——
errorstringNo——
error_typestringNo——

States ​

StateInitialTerminalSuccessAuto-advanceDescription
pendingYesNo—executeWaiting to call GET /v2.1/accounts/{accountId}/bulk_send_batch/{bulkSendBatchId}/envelopes
completedNoYesYes—HTTP call succeeded
failedNoYesNo—HTTP call failed

State Diagram ​

Transitions ​

FromActionToDescription
pendingexecutecompletedPerform GET /v2.1/accounts/{accountId}/bulk_send_batch/{bulkSendBatchId}/envelopes
* (any state)failfailedRecord the failure reason

API Usage ​

bash
POST /api/workflows/start
Content-Type: application/json

{
  "workflow_type": "docusign.bulk-send.get-bulk-send-batch-envelopes",
  "initial_data": {
    "base_url": "value",
    "accountid": "value",
    "bulksendbatchid": "value"
  }
}